Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.spi
Interface JobFactory

All Known Implementing Classes:
  PropertySettingJobFactory, SimpleJobFactory

    public interface JobFactory

A JobFactory is responsible for producing instances of `Job` classes.

This interface may be of use to those wishing to have their application produce `Job` instances via some special mechanism, such as to give the opertunity for dependency injection.

Author:
  James House
See Also:
  `Scheduler.setJobFactory(JobFactory)`, `SimpleJobFactory`, `PropertySettingJobFactory`

Method Summary
`Job` | `newJob(TriggerFiredBundle bundle, Scheduler scheduler)` Called by the scheduler at the time of the trigger firing, in order to produce a `Job` instance on which to call execute.

Method Detail

### newJob

    Job newJob(TriggerFiredBundle bundle,
               Scheduler scheduler)
               throws SchedulerException

  Called by the scheduler at the time of the trigger firing, in order to produce a `Job` instance on which to call execute.

  It should be extremely rare for this method to throw an exception - basically only the the case where there is no way at all to instantiate and prepare the Job for execution. When the exception is thrown, the Scheduler will move all triggers associated with the Job into the `Trigger.STATE_ERROR` state, which will require human intervention (e.g. an application restart after fixing whatever configuration problem led to the issue wih instantiating the Job.

  Parameters:
    `bundle` - The TriggerFiredBundle from which the `JobDetail` and other info relating to the trigger firing can be obtained.
    `scheduler` - a handle to the scheduler that is about to execute the job.
  Returns:
    the newly instantiated Job
  Throws:
    `SchedulerException` - if there is a problem instantiating the Job.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.